org.richfaces

## Class DataScrollerUtils

- java.lang.Object
- - org.richfaces.DataScrollerUtils

-     public final class DataScrollerUtils
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DataScrollerUtils.PropertyKeys`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static Object` | `eval(Serializable key, javax.faces.component.UIComponent component, Object defaultValue)`
    `protected static void` | `findBelow(javax.faces.component.UIComponent component, List<AbstractDataScroller> result)`
    `static List<AbstractDataScroller>` | `findDataScrollers(javax.faces.component.UIComponent dataTable)`
    `static javax.faces.component.UIComponent` | `findDataTable(AbstractDataScroller dataScroller)`
    `static javax.faces.component.UIComponent` | `findParentContainer(javax.faces.component.UIComponent component)`
    `static int` | `getPageCount(javax.faces.component.UIComponent data, int rowCount, int rows)`
    `static int` | `getRowCount(javax.faces.component.UIComponent component)`
    `static int` | `getRows(javax.faces.component.UIComponent component)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPageCount

          public static int getPageCount(javax.faces.component.UIComponent data,
                                         int rowCount,
                                         int rows)

    - #### getRows

          public static int getRows(javax.faces.component.UIComponent component)

    - #### getRowCount

          public static int getRowCount(javax.faces.component.UIComponent component)

    - #### eval

          protected static Object eval(Serializable key,
                                       javax.faces.component.UIComponent component,
                                       Object defaultValue)

    - #### findParentContainer

          public static javax.faces.component.UIComponent findParentContainer(javax.faces.component.UIComponent component)

    - #### findDataTable

          public static javax.faces.component.UIComponent findDataTable(AbstractDataScroller dataScroller)

    - #### findDataScrollers

          public static List<AbstractDataScroller> findDataScrollers(javax.faces.component.UIComponent dataTable)

    - #### findBelow

          protected static void findBelow(javax.faces.component.UIComponent component,
                                          List<AbstractDataScroller> result)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.